Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Mirror of Apache JMeter

Fetching latest commit…

Octocat-spinner-32-eaf2f5

Cannot retrieve the latest commit at this time

Octocat-spinner-32 bin
Octocat-spinner-32 src
Octocat-spinner-32 LICENSE
Octocat-spinner-32 README
Octocat-spinner-32 build.xml
Octocat-spinner-32 index.html
README
                         A P A C H E   J M E T E R
                         
                                Version 1.5Beta


  What is it?
  -----------

  Apache JMeter is a 100% pure Java application designed to test
  and measure performance.  It may be used
  as a highly portable server benchmark as well as multiclient
  load generator.

  The Latest Version
  ------------------

  Details of the latest version can be found on the Java Apache 
  Project web site (http://java.apache.org).

  Requirements
  ------------

  The following requirements exist for installing Apache JMeter:

   o  Java Interpreter:
   ***Currently in this Beta release a 1.2 runtime is required, 
	this requirement will be eliminated in the final release.***

      A fully compliant Java 1.1 Runtime Environment is required for 
      Apache JMeter to execute. Since Apache JMeter uses _only_ standard
      Java APIs (java.*), please, do not file in a bug report if your 
      JRE fails to execute Apache JMeter because a class implementation
      is missing, or not fully compliant.

   o  Java JFC (Swing components):

      These GUI extentions are required for proper functioning. 
      
      Due to incompatibility in the package names, the precompiled version 
      works only with Swing placed under the packages "javax.swing.*" while
      other placing are not supported because considered non-standard.
      
   o  SAX 1.0 Compliant Parser [OPTIONAL]:
      
      A Java SAX 1.0 Parser is required to restore HTTPSamples  You can save 
      samples without the parser but you will not be able to restore them.  
      you can specify the parser class in the xml.parser property in 
      jmeter.properties

   o  Java Compiler [OPTIONAL]:

      A Java compiler is not needed since the distribution includes a 
      precompiled java binary archive. Note that a compiler is required
      if you plan to build plugin classes for Apache JMeter.

  Installation Instructions and Documentation
  -------------------------------------------

  The documentation available as of the date of this release is
  also included, in HTML format, in the docs/ directory, and it may
  be browsed starting from the file called index.html.


  Licensing and legal issues
  --------------------------

  For legal and licensing issues, please look in the legal section of
  the documentation.


  Thanks for using Apache JMeter.

                                           The Java Apache Project
                                           http://java.apache.org/
Something went wrong with that request. Please try again.